Subject: [Bug 24] New: lost-update vs collections

From: [email-masked]
Date: Sat, 27 Nov 2004 03:30:49 -0800

http://ietf.cse.ucsc.edu:8080/bugzilla/show_bug.cgi?id=24

           Summary: lost-update vs collections
           Product: WebDAV-RFC 2518-bis
           Version: -06
          Platform: Other
               URL: http://lists.w3.org/Archives/Public/w3c-dist-
                    auth/2004JulSep/0153.html
        OS/Version: other
            Status: NEW
          Severity: normal
          Priority: P2
         Component: 07.  Write Lock
        AssignedTo: [email-masked]
        ReportedBy: [email-masked]
                CC: [email-masked]

Section 7.4, p2

"The lost-update problem is not an issue for collections because MKCOL can only
be used to create a collection, not to overwrite an existing collection.  In
order to immediately lock a collection upon creation, clients may attempt to
pipeline the MKCOL and LOCK requests together."

There's no guarantee that this will be atomically, thus in the best case, it
just makes a race condition less likely. As you can't rely on this to always
succeed, I'd recommend not to say anything at all.

------- You are receiving this mail because: -------
You are on the CC list for the bug, or are watching someone who is.